-- Set Rating Date.  
-- July 13, 2012.
-- Written by Justin Drury

allowUndo=true

-- This uses a Lua capability called closure.
function setup()
  local rating=0
  aw=smalertwindow('Rating','What rating would you like to give the selected files')
  aw:addTextEditor()
  aw:addCancelButton() -- returns 0
  aw:addOkButton() -- returns 1
  if aw:runAlert()==1 then
    rating=tonumber(aw:getTextEditorContents())
    return function(fileMetadata)
        local changedMetadata={}
        changedMetadata.Rating=rating
        return changedMetadata
    end
  else
    return function()
      return nil
    end
  end
  
end
--[[ ========================================================== ]]--
processMetadata=setup()